Bug 243699 - Wrong init script
Wrong init script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhnsd (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Petr Sklenar
:
Depends On:
Blocks: 237789 243700
  Show dependency treegraph
 
Reported: 2007-06-11 09:59 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:22:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-06-11 09:59:18 EDT
Description of problem:
The rhnsd init script returns incorrect error codes and also some constructions
in it prevent the correct status command call. For example:
[ -x /usr/sbin/rhnsd ] || exit 0
[ -f /etc/sysconfig/rhn/systemid ] || exit 0

Also the script contains 
INTERVAL=240
which is IMHO configuration parameter that has nothing to do in the init script
and should be moved to conf file.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 RHEL Product and Program Management 2007-06-11 10:03:46 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 RHEL Product and Program Management 2007-11-02 21:35:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Pradeep Kilambi 2007-12-13 10:22:17 EST
Sending        rhnsd/rhnsd.init
Transmitting file data .
Committed revision 134866.
Comment 5 RHEL Product and Program Management 2008-07-21 19:10:58 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 15 errata-xmlrpc 2009-09-02 07:22:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1356.html

Note You need to log in before you can comment on or make changes to this bug.